import { GraphQLObjectType, GraphQLSchema } from 'graphql';
export declare function removeUnusedTypesFromSchema(schema: GraphQLSchema): GraphQLSchema;
/**
 * Finds all object types that implement any of the interfaces reachable from any of the rootTypes
 * @param rootTypes types that are used fo reachability test
 * @param candidates the types which are filtered
 * @return the object types that are usable
 */
export declare function filterUsableInterfaceImplementations(candidates: GraphQLObjectType[], rootTypes: GraphQLObjectType[]): GraphQLObjectType[];
